package net.halbear.Terrain4J.EngineCore.Vulkan.Rendering.VkModel;

import net.halbear.Terrain4J.EngineCore.Logic.Rendering.VulkanContext;

import java.util.ArrayList;
import java.util.List;

public class VulkanModel {
    private final String ID;
    private final List<VulkanMesh> VulkanMeshList;

    public VulkanModel(String id){
        this.ID = id;
        VulkanMeshList = new ArrayList<>();
    }
    public void CleanUp(VulkanContext VkCtx){
        VulkanMeshList.forEach(mesh -> mesh.Cleanup(VkCtx));
    }
    public String GetID(){return ID;}
    public List<VulkanMesh> GetVkMeshList(){return this.VulkanMeshList;}
}
